- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSnLNodeExp Class Reference

The OSnLNodeExp Class. More...

`#include <OSnLNode.h>`

Inheritance diagram for OSnLNodeExp:

[legend]
Collaboration diagram for OSnLNodeExp:

[legend]
List of all members.

## Public Member Functions
| OSnLNodeExp ()
| default constructor.
| ~OSnLNodeExp ()
| default destructor.
virtual std::string | getTokenName ()
virtual double | calculateFunction (double *x)
virtual double | constructADTape (std::map< int, int > *ADIdx, std::vector< double > *XAD)
virtual OSnLNode * | cloneOSnLNode ()

## Detailed Description

The OSnLNodeExp Class.

Author:
  Robert Fourer, Jun Ma, Kipp Martin,

Version:
  1.0, 10/05/2005

Since:
  OS1.0

Remarks:
  The in-memory representation of the OSnL element <exp>

Definition at line 1053 of file OSnLNode.h.

## Constructor & Destructor Documentation

OSnLNodeExp::OSnLNodeExp | ( |  | ) |

default constructor.

Definition at line 1312 of file OSnLNode.cpp.

References OSnLNode::inodeInt, OSnLNode::inodeType, and OSnLNode::m_mChildren.

Referenced by cloneOSnLNode().

OSnLNodeExp::~OSnLNodeExp | ( |  | ) |

default destructor.

Definition at line 1322 of file OSnLNode.cpp.

References OSnLNode::m_mChildren.

## Member Function Documentation

std::string OSnLNodeExp::getTokenName | ( |  | ) | `[virtual]`

Returns:
  the value of operator name

Implements OSnLNode.

Definition at line 1334 of file OSnLNode.cpp.

double OSnLNodeExp::calculateFunction | ( | double * | x | ) | `[virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 1338 of file OSnLNode.cpp.

References OSnLNode::m_dFunctionValue, and OSnLNode::m_mChildren.

virtual double OSnLNodeExp::constructADTape | ( | std::map< int, int > * | ADIdx,
|  | std::vector< double > * | XAD |
| ) |  |  | `[virtual]`

Create the AD tape to be evaluated by AD. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Returns:
  the expression tree.

Implements OSnLNode.

OSnLNode * OSnLNodeExp::cloneOSnLNode | ( |  | ) | `[virtual]`

Create or clone a node of this type. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 1349 of file OSnLNode.cpp.

References OSnLNodeExp().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.cpp